*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Alan Sans", sans-serif;
}
html , body{
    height: 100%;
    width: 100%;
}
body{
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: #FFFFFF;
}

/* Loader full screen overlay */
#loader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgb(0, 0, 0);
  /* dark transparent */
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  z-index: 9999;
  color: #fff;
  font-family: 'Inter', sans-serif;
  font-size: 1.2rem;
}

/* Spinning circle */
.spinner {
  width: 60px;
  height: 60px;
  border: 6px solid rgba(255, 255, 255, 0.2);
  border-top: 6px solid #4fc3f7;
  /* light blue */
  border-radius: 50%;
  animation: spin 1s linear infinite;
  margin-bottom: 15px;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }

  100% {
    transform: rotate(360deg);
  }
}

main{
    width: 100%;
    height: 100%; 
    background-color: #fff;
}
.container{
    width: 100%;
    height: 100%;
    border-radius: 10px;
    padding: 0 2rem;
    display: flex; 
    overflow: hidden;
    flex-direction: column;  
}
.container .row {
    display: flex;
    align-items: center;
    padding: 0 1rem;
    width: 100%;
    height: 4rem;
    border-radius: 20px 20px 0 0;
    justify-content: space-between;
}
.container .row .city-name {
    font-size: 1.5rem;
    font-weight: 600;
}
.container .row form input {
    width: 15rem;
    height: 2.5rem;
    border: none;
    outline: none;
    border-radius: 20px;
    padding: 0 1rem;
    font-size: 1rem;
    box-shadow: 0 0 5px rgba(0, 0, 0, 0.263);
}
.container .row .date {
    font-size: 1rem;
    font-weight: 300;
}
.container .weather-info {
    display: flex;
    justify-content: space-between;
    width: 100%;
    height: 100%;
    color: #696969;
    position: relative;
}
.container .weather-info .top-row {
    display: flex;
    flex-direction: column;
    width: 75%;
    height: 100%;
}
.container .weather-info .left-side {
    width: 100%;
    height: 75%; 
    display: flex;
    justify-content: center;
    align-items: center;
}

.left-side-content .row1 {
  display: flex;
  justify-content: center;
  align-items: center;
}
.left-side .left-side-content .temp {
  display: flex;
  gap: 0.25rem;
  font-size: 9rem;
}
.left-side .left-side-content .temp .deg {
  font-weight: 600;
  font-size: 6rem;
  width: fit-content;
  height: fit-content;
  align-self: flex-start;
}
.left-side-content .wind,.moisture {
  display: flex;
  gap: 0.75rem;
  margin-top: 0.5rem;
  align-items: center;
}
.left-side-content .weather-type {
  text-align: center;
  font-size: 1.5rem;
  /* font-weight: 400; */
}
.container .weather-info .right-side {
    width: 20%;
    height: 100%;
    border-radius: 10px;
    background-color: #F6F6F6;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    padding-bottom: 1.5rem;
}
.right-side #greeting h2 {
  font-weight: 400;
  color: #000;
  padding:0.5rem 0;
}
.right-side .time {
  font-size: 1rem;
  font-weight: 400;
  margin: 0.5rem 0;
  color: #000;
}
.right-side-weather .row1 {
  display: flex;
  margin-top: 1.5rem;
  flex-direction: column;
  width: 100%;
  align-items: center;
  gap: 0.5rem;
  
}
.right-side-weather .temp-cont {
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.25rem;
}
.right-side .temp {
  display: flex;
  /* gap: 0.15rem; */
  font-size: 1.95rem;
} 
.right-side-weather {
  width: 100%;
}
.right-side .right-side-weather .wind {
  font-size: 0.5rem;
  margin: 0;
  color: #000;
  display: flex;
  gap: 0.15rem;
}
.right-side .right-side-weather .moisture {
  font-size: 0.5rem;
  margin: 0;
  color: #000;
  display: flex;
  gap: 0.15rem;
}

.right-side-weather .row2 {
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.5rem;
}
.right-side-weather .row2 .feels-like {
  font-size: 0.65rem;
  display: flex;
  gap: 0.15rem;
}

.right-side .row3  {
  width: 100%;
  height: fit-content;
  display: flex;
  flex-direction: column;
  align-items: center;
  gap: 0.5rem;
  margin-top: 3rem;
}
.right-side .row3 h4 {
  font-size: 1rem;
  font-weight: 400;
  color: #000;
  margin-bottom: 0.5rem;
}
.row3 .card-container {
  width: 100%;
  height: 100%;
  display: grid;
  grid-template-columns: repeat(auto-fit, minmax(3.5rem, 1fr));
  grid-template-rows: repeat(2,1fr);
  gap: 0.5rem;
  padding: 0 0.5rem;
  overflow-x: auto;
}
.forecast-card {
  width: 4rem;
  height: 5.25rem;
  padding: 0.25rem;
  border: 1px solid #696969;
  border-radius: 10px;
}
.forecast-card .time {
  text-align: center;
  font-size: 0.65rem;
  margin: 0 !important;
}
.forecast-card .temp {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 1.5rem;
  margin: 0.25rem 0;
}
.forecast-card .weather-type {
  text-align: center;
  font-size: 0.65rem;
  
  /* margin-top: 0.25rem; */
}









.container .weather-info .bottom-side {
    width: 100%;
    height: 25%;
    display: flex;
    align-items: center;
    justify-content: center;
}
.weakly-forecast {
  display: flex;
  gap: 1rem;
}
.weakly-forecast .weakly-card {
  padding: 0.25rem;
  display: flex;
  width: 4rem;
  gap: 0.25rem;
  flex-direction: column;
  align-items: center;
}
.weakly-forecast .weakly-card:nth-child(1) {
  border: 1px solid #000;
  border-radius:10px ;
  
}
.weakly-forecast .weakly-card .day {
  font-size: 0.65rem;
  color: #000;
}
.weakly-forecast .weakly-card .temp{
  font-size: 1.25rem;
  
}
.weakly-forecast .weakly-card .weather-type{
  font-size: 0.65rem;
}



.bottom-side .weakly-forecast .temp {
  display: flex;

}












/******************************** Mobile Responsive  ********************************/

@media(max-width: 768px ) {

.container {
  padding: 0 1rem;
  overflow: auto;
}
.row {
  padding: 0 !important;
  padding-top: 0.5rem !important;
  /* flex-directio/n: column; */
}
.row .city-name {
  font-size: 1rem !important;
  padding: 0;

}
.row #inp {
  /* width: 4rem; */
  padding: 0 0.5rem;
}
.row .date {
  display: none;
}
.container .weather-info .top-row {
width: 50%;
display: initial;
}
.container .weather-info .left-side {
  gap: 0;
  width: 90%;
  height: 50%;
}
.container .weather-info .row1 {
  /* display: flex; */
  flex-direction: column;
}
.container .weather-info .left-side .row1 .temp{
  font-size: 5rem;
}
.container .weather-info .right-side {
  margin-top: 1rem ;
  width: 50%;
}
.container .weather-info .right-side h2 {
  font-size: 1rem;
}
.container .weather-info .bottom-side {
  margin-top: 4em;
display: initial;
  /* position: absolute; */
  width: 90%;
}

.container .weather-info .bottom-side .weakly-forecast {
  display: grid; 
  padding: 0 0.5rem;
  grid-template-rows: repeat(2, 1fr);
  grid-template-columns: repeat(auto-fit, minmax(3rem, 1fr));
}



}